package com.taais.biz.mapper;

import com.mybatisflex.core.BaseMapper;
import com.taais.biz.domain.vo.AlgorithmSubtaskVo;
import org.apache.ibatis.annotations.Mapper;
import com.taais.biz.domain.AlgorithmSubtask;

import java.util.List;

/**
 * 算法子任务Mapper接口
 *
 * @author Allen
 * 2024-06-11
 */
@Mapper
public interface AlgorithmSubtaskMapper extends BaseMapper<AlgorithmSubtask> {
    AlgorithmSubtask getFirstNeedProcessSubtask(Long taskId);

    List<AlgorithmSubtaskVo> getSubtaskByTaskId(Long taskId);

    String getTrainModelPath(Long id);
}
